cdac.medinfo.sdk.hl7282.baselibs

## Class RFR

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.CompositeDataType
  - - cdac.medinfo.sdk.hl7282.baselibs.RFR

- All Implemented Interfaces:
    IDataType

      public class RFR
      extends CompositeDataType

  RFR - Reference range

  This data type specifies a reference range and its supporting detail.

  Represents an HL7 RFR data type. This data type has the following attributes:

  1. Numeric Range (NR)Required
  2. Administrative Sex (CWE)Optional
  3. Age Range (NR)Optional
  4. Gestational Age Range (NR)Optional
  5. Species (ST)Optional
  6. Race/subspecies (ST)Optional
  7. Conditions (TX)Optional

  This class provides accessors & mutators for the elements mentioned above. This class override the equal method, to check whether some other object is "equal to" this one.

  User can also create Data Type through `DataElementFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RFR()` Default Constructor for RFR
    `RFR(int iComponentType, IDataTypeMap objIDataTypeMap)` Constructor for RFR class which takes two arguments and sets the value in the respective member variable.
    `RFR(int iComponentType, int iMinLength, int iMaxLength, java.lang.String strCLength, IDataTypeMap objIDataTypeMap)` Constructor for RFR class which takes five arguments and sets the value in the respective member variable.
    `RFR(int iComponentType, int iMinLength, int iMaxLength, java.lang.String strCLength, int ITableNo, IDataTypeMap objIDataTypeMap)` Constructor for RFR class which takes six arguments and sets the value in the respective member variable.
    `RFR(int iMinLength, int iMaxLength, java.lang.String strCLength, int iComponentType)` Constructor for RFR class which takes four arguments and sets the value in the respective member variable.
    `RFR(int iMinLength, int iMaxLength, java.lang.String strCLength, int iTableNo, int iComponentType)` Constructor for RFR class which takes five arguments and sets the value in the respective member variable.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object objObject)` This method checks the equality of Object.
    `CWE` | `getAdministrativeSex()` Returns Administrative Sex
    `NR` | `getAgeRange()` Returns Age Range
    `TX` | `getConditions()` Returns Conditions
    `NR` | `getGestationalAgeRange()` Returns Gestational Age Range
    `NR` | `getNumericRange()` Returns Numeric Range
    `ST` | `getRaceSubspecies()` Returns Race/subspecies
    `ST` | `getSpecies()` Returns Species
    `void` | `setAdministrativeSex(CWE objCWE)` Sets the AdministrativeSex.
    `void` | `setAdministrativeSex(java.lang.String strAdministrativeSex)` Sets the AdministrativeSex.
    `void` | `setAgeRange(NR objAgeRange)` Sets the AgeRange.
    `void` | `setConditions(java.lang.String strConditions)` Sets the Conditions.
    `void` | `setConditions(TX objTX)` Sets the Conditions.
    `void` | `setGestationalAgeRange(NR objGestationalAgeRange)` Sets the GestationalAgeRange.
    `void` | `setNumericRange(NR objNumericRange)` Sets the NumericRange.
    `void` | `setRacesubspecies(ST objST)` Sets the Racesubspecies.
    `void` | `setRacesubspecies(java.lang.String strRacesubspecies)` Sets the Racesubspecies.
    `void` | `setSpecies(ST objST)` Sets the Species.
    `void` | `setSpecies(java.lang.String strSpecies)` Sets the Species.
    `boolean` | `validate()` The Method validates the Input value,and if validated properly then returns true.

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.CompositeDataType

      `copy, dumpDataType, getAttributes, getDataTypeName, getLength, getValue, isPrimitive, read, setValue, write, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RFR

          public RFR()

      Default Constructor for RFR

    - #### RFR

          public RFR(int iMinLength,
             int iMaxLength,
             java.lang.String strCLength,
             int iComponentType)
              throws InvalidComponentTypeException

      Constructor for RFR class which takes four arguments and sets the value in the respective member variable.
      Parameters:
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### RFR

          public RFR(int iMinLength,
             int iMaxLength,
             java.lang.String strCLength,
             int iTableNo,
             int iComponentType)
              throws InvalidComponentTypeException

      Constructor for RFR class which takes five arguments and sets the value in the respective member variable.
      Parameters:
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
        `iTableNo` - The Table number to which the value for the component is specified.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### RFR

          public RFR(int iComponentType,
             IDataTypeMap objIDataTypeMap)

      Constructor for RFR class which takes two arguments and sets the value in the respective member variable.
      Parameters:
        `objIDataTypeMap` - object of Data Type Map.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### RFR

          public RFR(int iComponentType,
             int iMinLength,
             int iMaxLength,
             java.lang.String strCLength,
             IDataTypeMap objIDataTypeMap)

      Constructor for RFR class which takes five arguments and sets the value in the respective member variable.
      Parameters:
        `objIDataTypeMap` - object of Data Type Map.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### RFR

          public RFR(int iComponentType,
             int iMinLength,
             int iMaxLength,
             java.lang.String strCLength,
             int ITableNo,
             IDataTypeMap objIDataTypeMap)

      Constructor for RFR class which takes six arguments and sets the value in the respective member variable.
      Parameters:
        `objIDataTypeMap` - object of Data Type Map.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
        `iTableNo` - The Table number to which the value for the component is specified.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

  - ### Method Detail

    - #### setNumericRange

          public void setNumericRange(NR objNumericRange)

      Sets the NumericRange.
      Parameters:
        `objNumericRange` - This component specifies the numeric interval of the reference data.

    - #### setAdministrativeSex

          public void setAdministrativeSex(java.lang.String strAdministrativeSex)

      Sets the AdministrativeSex.
      Parameters:
        `strAdministrativeSex` - This component specifies which gender for which the reference range is valid.

    - #### setAdministrativeSex

          public void setAdministrativeSex(CWE objCWE)

      Sets the AdministrativeSex.
      Parameters:
        `objCWE` - This component specifies which gender for which the reference range is valid.

    - #### setAgeRange

          public void setAgeRange(NR objAgeRange)

      Sets the AgeRange.
      Parameters:
        `objAgeRange` - This component specifies the age range for which the reference range is valid.

    - #### setGestationalAgeRange

          public void setGestationalAgeRange(NR objGestationalAgeRange)

      Sets the GestationalAgeRange.
      Parameters:
        `objGestationalAgeRange` - This component specifies the gestational age range for which the reference range is valid.

    - #### setSpecies

          public void setSpecies(java.lang.String strSpecies)

      Sets the Species.
      Parameters:
        `strSpecies` - This component specifies the species for which the reference range is valid.

    - #### setSpecies

          public void setSpecies(ST objST)

      Sets the Species.
      Parameters:
        `objString` - This component specifies the species for which the reference range is valid.

    - #### setRacesubspecies

          public void setRacesubspecies(java.lang.String strRacesubspecies)

      Sets the Racesubspecies.
      Parameters:
        `strRacesubspecies` - This component specifies the race or subspecies for which the reference range is valid.

    - #### setRacesubspecies

          public void setRacesubspecies(ST objST)

      Sets the Racesubspecies.
      Parameters:
        `objST` - This component specifies the race or subspecies for which the reference range is valid.

    - #### setConditions

          public void setConditions(java.lang.String strConditions)

      Sets the Conditions.
      Parameters:
        `strConditions` - This component specifies any arbitrary condition for which the reference range is valid.

    - #### setConditions

          public void setConditions(TX objTX)

      Sets the Conditions.
      Parameters:
        `objTX` - This component specifies any arbitrary condition for which the reference range is valid.

    - #### getNumericRange

          public NR getNumericRange()

      Returns Numeric Range
      Returns:
        NR - data type.

    - #### getAdministrativeSex

          public CWE getAdministrativeSex()

      Returns Administrative Sex
      Returns:
        IS - data type.

    - #### getAgeRange

          public NR getAgeRange()

      Returns Age Range
      Returns:
        NR - data type.

    - #### getGestationalAgeRange

          public NR getGestationalAgeRange()

      Returns Gestational Age Range
      Returns:
        NR - data type.

    - #### getSpecies

          public ST getSpecies()

      Returns Species
      Returns:
        ST - data type.

    - #### getRaceSubspecies

          public ST getRaceSubspecies()

      Returns Race/subspecies
      Returns:
        ST - data type.

    - #### getConditions

          public TX getConditions()

      Returns Conditions
      Returns:
        TX - data type.

    - #### validate

          public boolean validate()
                           throws InvalidDataTypeException

      The Method validates the Input value,and if validated properly then returns true. Here the validetion is based on the compulsory fields for the Datatype.
      Specified by:
        `validate` in interface `IDataType`
      Overrides:
        `validate` in class `CompositeDataType`
      Returns:
        boolean - true or false.
      Throws:
        `InvalidDataTypeException` - - if Invalid values is entered or Mandatory field is missing.

    - #### equals

          public boolean equals(java.lang.Object objObject)

      This method checks the equality of Object.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `objObject` - object of Object class.
      Returns:
        boolean - shows success or failure of the comparison.